using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Business
{
    class InpatientExitCancelProcess : AbstractProcess
    {
        public override CallResult Process(JObject input)
        {
            string errMsg = "";
            if (cBus.cancleRegister(TradeEnum.InpatientExitCancel, out errMsg) != 0)
            {
                return Exception(-1, "取消出院登记", errMsg);
            }
            else
            {
                return IrisReturn("取消出院登记成功", null);
            }
        }
    }
}
